Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

# openvrml::x3d_vrml_parse_error_handler Struct Reference

A Spirit error handler that emits error and warning messages to a `std::ostream`. More...

`#include <openvrml/x3d_vrml_grammar.h>`

List of all members.

## Public Member Functions

| x3d_vrml_parse_error_handler (std::ostream &out=std::cerr)
| Construct.
template<typename ScannerT , typename ErrorT >
boost::spirit::classic::error_status | operator() (const ScannerT &scan, const ErrorT &err) const
| Handle a parser error.

## Private Attributes

vrml97_parse_error_handler | vrml_handler
std::ostream & | out_

## Detailed Description

A Spirit error handler that emits error and warning messages to a `std::ostream`.

The following `openvrml::vrml_parse_errors` are treated as warnings:

- `rotation_axis_not_normalized`
- `eventin_deprecated`
- `eventout_deprecated`
- `exposedfield_deprecated`
- `field_deprecated`

All other `vrml_parse_errors` are treated as errors.

## Constructor & Destructor Documentation

openvrml::x3d_vrml_parse_error_handler::x3d_vrml_parse_error_handler | ( | std::ostream & | out = `std::cerr` | ) | `[inline, explicit]`

Construct.

Parameters:

  `[in]` | out | output stream.

## Member Function Documentation

template<typename ScannerT , typename ErrorT >

boost::spirit::error_status<> openvrml::x3d_vrml_parse_error_handler::operator() | ( | const ScannerT & | scan,
|  | const ErrorT & | err |
| ) |  |  | const`[inline]`

Handle a parser error.

Parameters:

  `[in]` | scan | the scanner.
  `[in]` | err | a `boost::spirit::parser_error`.